BEEM - Android XMPP - Support #189

Refactoring de la classe RosterAdapter
06/24/2009 05:56 PM - Frédéric Barthéléry

Status: Closed Start date: 06/24/2009
Priority: Normal Due date:

Assignee: Nikita Kozlov % Done: 100%
Category: Conception Estimated time: 2.00 hours
Target version: 0.1

Description

La classe RosterAdapter utilise une liste en champ privé pour stocker toutes les instances de Contact qu'elle aura recrée a partir

des RosterEntry de smack.

Il vaudrait mieux qu'elle cree une instance de Contact au moment ou elle est demandée. Cela permet de ne pas avoir a maintenir
une 2e liste de contact en parallele de celle de smack et a la maintenir synchronisée

History

#1 - 08/25/2009 10:54 PM - Nikita Kozlov
- % Done changed from 0 to 100

fait dans beem-ui

#2 - 09/14/2009 04:44 PM - Frédéric Barthéléry

- Status changed from New to Resolved

#3 - 10/19/2009 11:28 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
